import {Component, EventEmitter, Output} from '@angular/core';
import {CommonModule} from '@angular/common';
import {MatButtonToggleChange, MatButtonToggleModule} from "@angular/material/button-toggle";
import {MatIconModule} from "@angular/material/icon";
import {FormsModule} from "@angular/forms";
import {Modes} from "./modes";
import { VisualisationService } from '../../../Services/visualisation.service';

@Component({
  selector: 'app-mode-select',
  standalone: true,
  imports: [CommonModule, MatButtonToggleModule, MatIconModule, FormsModule],
  templateUrl: './mode-select.component.html',
  styleUrl: './mode-select.component.css'
})
export class ModeSelectComponent {
  @Output() modeChange: EventEmitter<string> = new EventEmitter<string>();
  selectedValue: Modes = Modes.EXPLORE;

  protected readonly Modes = Modes;

  constructor(private visualizationService: VisualisationService) {}

  onToggleChange(event: MatButtonToggleChange): void {
    this.selectedValue = event.value;
    console.log(`Switched Mode to: ${this.selectedValue}`)
    this.modeChange.emit(this.selectedValue);
    this.visualizationService.setSelectedMode(this.selectedValue);
  }
}
