import { IngredientDto } from "./ingredient";

export interface Recipe {
    id: number;
    title: string;
    title_lower: string;
    ingredients: IngredientDto[];
    rating: number;
    complexity: number;
    status: number; // 0: unknown, 1: vegan, 2: vegetarian, 4: meat
}

export function parseRecipe(id: number, data: any): Recipe {
    return {
        id: id,
        title: data['title'],
        title_lower: data['title_lower'],
        ingredients:  data['ingredients'].map((ingredient: any) => ({
            ids: ingredient['ids'],
            amount: ingredient['amount'],
            unit: ingredient['unit']
        })),
        rating: data['rating'],
        complexity: data['complexity'],
        status: data['status']
    };
}