import { Injectable } from '@angular/core';
import {BehaviorSubject} from "rxjs";
import {Ingredient} from "../Models/ingredient";

@Injectable({
  providedIn: 'root'
})
export class FilterService {
  private selectedIngredientsSubject = new BehaviorSubject<Ingredient[]>([]);
  selectedIngredients$ = this.selectedIngredientsSubject.asObservable();

  updateSelectedIngredients(ingredients: Ingredient[]): void {
    this.selectedIngredientsSubject.next(ingredients);
  }
}
