import { Recipe, parseRecipe } from "../Models/recipe";
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { BehaviorSubject, Observable, lastValueFrom } from 'rxjs';

@Injectable({
    providedIn: 'root'
})
export class RecipeDataService {
    private recipeDataSubject = new BehaviorSubject<Recipe[]>([]);

    recipes$ = this.recipeDataSubject.asObservable();

    constructor(private http: HttpClient) {
        var jsonObservable = this.http.get('./assets/recipes.json');
        jsonObservable.subscribe(jsonObject => {this.recipeDataSubject.next(this.parse(jsonObject));});
    }

    private parse(jsonObject: any): Recipe[] {
        var recipes: Recipe[];
        recipes = []
        for (const index in jsonObject) {
            recipes.push(parseRecipe(parseInt(index), jsonObject[index]))
        }
        console.log("Finished parsing json")
        return recipes
    }
}