import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';
import {ModeSelectComponent} from "./Components/UI/mode-select/mode-select.component";
import {IngredientsSelectorComponent} from "./Components/UI/ingredients-selector/ingredients-selector.component";
import {VisualizationAreaComponent} from "./Components/UI/visualization-area/visualization-area.component";
import {MatCardModule} from "@angular/material/card";
import {MatGridListModule} from "@angular/material/grid-list";
import {MatInputModule} from "@angular/material/input";
import {DummyComponent} from "./Components/UI/dummy/dummy.component";
import {RecipePreviewComponent} from "./Components/UI/recipe-preview/recipe-preview.component";
import {VisControllerComponent} from "./Components/UI/vis-controller/vis-controller.component";

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [CommonModule,
    RouterOutlet,
    ModeSelectComponent,
    IngredientsSelectorComponent,
    VisualizationAreaComponent,
    MatCardModule,
    MatGridListModule,
    MatInputModule,
    DummyComponent,
    RecipePreviewComponent, 
    VisControllerComponent],
  templateUrl: './app.component.html',
  styleUrl: './app.component.css'
})
export class AppComponent {
  title = 'Application';
}
